Subject: Re: Busybox of Hardhat preview 2.1 for sandpoint 74xx ?

From: Matt Porter <[email-masked]>
Date: Mon, 5 May 2003 21:11:54 -0700

On Mon, May 05, 2003 at 08:15:44PM -0700, Dale Farnsworth wrote:
>
> On Mon, May 05, 2003 at 08:31:34PM +0000, Yu Bo-BOYU1 wrote:
> >
> > Did anyone know if busybox of hardhat preview 2.1 for sandpoint 74xx work or
> > not ?
> > I got error "Bad trap at PC: 300162fc, SR: f032, vector=f00    Not tainted"
> > no matter
> > the root is mounted on NFS or ramfs.
>
> It's been a while since I last saw it, but this reminds me of what
> happens when running the 74xx userspace on a kernel that doesn't have
> altivec support enabled.

Just to confirm, with the MSR VEC off on a 74xx core, it will definitely
generate that bad trap (UnknownException) on mvista 74xx userspace.  I've
seen it on 7xx's that were unintentionally run on the ppc_74xx userspace,
for example.

Regards,
--
Matt Porter
[email-masked]

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/